Create an insolvency transaction resource
POST https://api.company-information.service.gov.uk/transactions/{transaction_id}/insolvency
| Parameter name |
Value |
Description |
Additional |
| transaction_id |
string |
The transaction unique reference
|
Required |
The request body takes a complete
writeable insolvency resource, containing the following writable properties:
{
"case_type": "string",
"company_name": "string",
"company_number": "string"
}
| Name |
Type |
Description |
Additional |
|
case_type
|
string |
Possible values are:
creditors-voluntary-liquidation
|
|
|
company_name
|
string |
|
|
|
company_number
|
string |
|
|
This request requires the use of one of following authorisation methods:
OAuth2.
For OAuth 2 authorisation, the following scopes are required:
| Scope |
Description |
| https://api.company-information.service.gov.uk/company/*/insolvency.write-full |
Grants full Insolvency Practitioner access |
| https://identity.company-information.service.gov.uk/user/profile.read |
User profile read permission |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code |
Description |
Resource |
| 201 |
Created The insolvency data change resource was created.
|
CreatedInsolvency |
| 400 |
Bad Request Bad request
|
|
| 401 |
Unauthorized Unauthorized
|
|
| 404 |
Not Found Transaction not found
|
|
| 409 |
Conflict Insolvency resource already exists.
|
|